
# Download
The current release 0.2.0 can be downloaded [here](http://slsyoke4.psi.ch:8081/artifactory/releases/ZeroMQ_Viewer-0.2.0.jar)

# Overview
ZMQ ImageJ is an ImageJ plugin for viewing images transmitted via ZMQ. It can handle data streamed via the message format defined in [ZMQ Data Steaming](https://confluence.psi.ch/display/SOF/ZMQ+Data+Streaming).

# Installation
To install the plugin into ImageJ drop the all-in-one jar into the plugins directory of ImageJ. Afterwards (re)start ImageJ  and open the plugin via _Plugins > ZeroMQ Viewer_. A plugin window will be opened where source, port and method can be specified. Once clicked on _Start_ and images are streamed from the source an additional window will open showing the images.

# Usage
While using the ZeroMQ Viewer Plugin ImageJ need to be configured to have more memory. This can be done in the `run` file located in the ImageJ discribution.
Add/Modify following flag: `-Xmx1024m`

# Development
To build the code run following maven command/goals:
`mvn clean compile assembly:single`

## References
http://fiji.sc/wiki/index.php/Description_of_ImageJ's_plugin_architecture


Overview
========

http://fiji.sc/wiki/index.php/Description_of_ImageJ's_plugin_architecture


Build
=====

To build the code run following maven command/goals:
mvn clean compile assembly:single


Installation
============

To install the plugin into ImageJ just drop the build jar file into the plugins directory of ImageJ. Afterwards (re)start ImageJ.

Usage
=====

While using the ZeroMQ Viewer Plugin ImageJ need to be configured to have more memory. This can be done in the `run` file located in the ImageJ discribution.
Add/Modify following flag: `-Xmx1024m`